---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci get`

Get JSON of a running CI/CD pipeline on the current or other specified branch

```plaintext
glab ci get [flags]
```

## Aliases

```plaintext
stats
```

## Examples

```plaintext
glab ci get
glab ci -R some/project -p 12345

```

## Options

```plaintext
  -b, --branch string          Check pipeline status for a branch. (Default is current branch)
  -o, --output-format string   Format output as: text, json (default "text")
  -p, --pipeline-id int        Provide pipeline ID
      --with-variables         Show variables in pipeline (maintainer role required)
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
